# GetAppDetailsByUrl returns application details by given path for repositories by URL

GetAppDetails returns application details by given path.

Endpoint: GET /gitops/api/v1/agents/{agentIdentifier}/repositories_byurl/appdetails
Version: 1.0
Security: x-api-key

## Path parameters:

  - `agentIdentifier` (string, required)
    Agent identifier for entity.

## Query parameters:

  - `accountIdentifier` (string)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `identifier` (string)

  - `query.source.repoURL` (string)
    RepoURL is the URL to the repository (Git or Helm) that contains the application manifests.

  - `query.source.path` (string)
    Path is a directory path within the Git repository, and is only valid for applications sourced from Git.

  - `query.source.targetRevision` (string)
    TargetRevision defines the revision of the source to sync the application to.
In case of Git, this can be commit, tag, or branch. If omitted, will equal to HEAD.
In case of Helm, this is a semver tag for the Chart's version.

  - `query.source.helm.valueFiles` (array)
    ValuesFiles is a list of Helm value files to use when generating a template.

  - `query.source.helm.releaseName` (string)
    ReleaseName is the Helm release name to use. If omitted it will use the application name.

  - `query.source.helm.values` (string)
    Values specifies Helm values to be passed to helm template, typically defined as a block.

  - `query.source.helm.version` (string)
    Version is the Helm version to use for templating (either "2" or "3").

  - `query.source.helm.passCredentials` (boolean)
    PassCredentials pass credentials to all domains (Helm's --pass-credentials).

  - `query.source.helm.ignoreMissingValueFiles` (boolean)
    IgnoreMissingValueFiles prevents helm template from failing when valueFiles do not exist locally by not appending them to helm template --values.

  - `query.source.helm.skipCrds` (boolean)
    SkipCrds skips custom resource definition installation step (Helm's --skip-crds).

  - `query.source.helm.namespace` (string)
    Namespace is an optional namespace to template with. If left empty, defaults to the app's destination namespace.

  - `query.source.helm.kubeVersion` (string)
    KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD
uses the Kubernetes version of the target cluster.

  - `query.source.helm.apiVersions` (array)
    APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default,
Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.

  - `query.source.helm.skipTests` (boolean)
    SkipTests skips test manifest installation step (Helm's --skip-tests).

  - `query.source.helm.skipSchemaValidation` (boolean)
    SkipSchemaValidation skips JSON schema validation (Helm's --skip-schema-validation).

  - `query.source.kustomize.namePrefix` (string)
    NamePrefix is a prefix appended to resources for Kustomize apps.

  - `query.source.kustomize.nameSuffix` (string)
    NameSuffix is a suffix appended to resources for Kustomize apps.

  - `query.source.kustomize.images` (array)
    Images is a list of Kustomize image override specifications.

  - `query.source.kustomize.version` (string)
    Version controls which version of Kustomize to use for rendering manifests.

  - `query.source.kustomize.forceCommonLabels` (boolean)
    ForceCommonLabels specifies whether to force applying common labels to resources for Kustomize apps.

  - `query.source.kustomize.forceCommonAnnotations` (boolean)
    ForceCommonAnnotations specifies whether to force applying common annotations to resources for Kustomize apps.

  - `query.source.kustomize.namespace` (string)
    Namespace sets the namespace that Kustomize adds to all resources.

  - `query.source.kustomize.commonAnnotationsEnvsubst` (boolean)
    CommonAnnotationsEnvsubst specifies whether to apply env variables substitution for annotation values.

  - `query.source.kustomize.components` (array)
    Components specifies a list of kustomize components to add to the kustomization before building.

  - `query.source.kustomize.labelWithoutSelector` (boolean)
    LabelWithoutSelector specifies whether to apply common labels to resource selectors or not.

  - `query.source.kustomize.kubeVersion` (string)
    KubeVersion specifies the Kubernetes API version to pass to Helm when templating manifests. By default, Argo CD
uses the Kubernetes version of the target cluster.

  - `query.source.kustomize.apiVersions` (array)
    APIVersions specifies the Kubernetes resource API versions to pass to Helm when templating manifests. By default,
Argo CD uses the API versions of the target cluster. The format is [group/]version/kind.

  - `query.source.kustomize.ignoreMissingComponents` (boolean)
    IgnoreMissingComponents prevents kustomize from failing when components do not exist locally by not appending them to kustomization file.

  - `query.source.kustomize.labelIncludeTemplates` (boolean)
    LabelIncludeTemplates specifies whether to apply common labels to resource templates or not.

  - `query.source.ksonnet.environment` (string)
    Environment is a ksonnet application environment name.

  - `query.source.directory.recurse` (boolean)
    Recurse specifies whether to scan a directory recursively for manifests.

  - `query.source.directory.jsonnet.libs` (array)
    Additional library search dirs.

  - `query.source.directory.exclude` (string)
    Exclude contains a glob pattern to match paths against that should be explicitly excluded from being used during manifest generation.

  - `query.source.directory.include` (string)
    Include contains a glob pattern to match paths against that should be explicitly included during manifest generation.

  - `query.source.plugin.name` (string)

  - `query.source.chart` (string)
    Chart is a Helm chart name, and must be specified for applications sourced from a Helm repo.

  - `query.source.ref` (string)
    Ref is reference to another source within sources field. This field will not be used if used with a source tag.

  - `query.source.name` (string)
    Name is used to refer to a source and is displayed in the UI. It is used in multi-source Applications.

  - `query.appName` (string)

  - `query.appProject` (string)

  - `query.sourceIndex` (integer)
    source index (for multi source apps).

  - `query.versionId` (integer)
    versionId from historical data (for multi source apps).

## Response 200 fields (application/json):

  - `type` (string)

  - `ksonnet` (object)

  - `ksonnet.name` (string)

  - `ksonnet.environments` (object)

  - `ksonnet.parameters` (array)

  - `ksonnet.parameters.component` (string)

  - `ksonnet.parameters.name` (string)

  - `ksonnet.parameters.value` (string)

  - `helm` (object)

  - `helm.name` (string)

  - `helm.valueFiles` (array)

  - `helm.parameters` (array)

  - `helm.parameters.name` (string)

  - `helm.parameters.value` (string)

  - `helm.parameters.forceString` (boolean)

  - `helm.values` (string)

  - `helm.fileParameters` (array)

  - `helm.fileParameters.name` (string)

  - `helm.fileParameters.path` (string)

  - `kustomize` (object)

  - `kustomize.images` (array)
    images is a list of available images.

  - `directory` (object)

## Response default fields (application/json):

  - `error` (string)

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.type_url` (string)
    A URL/resource name that uniquely identifies the type of the serialized
protocol buffer message. This string must contain at least
one "/" character. The last segment of the URL's path must represent
the fully qualified name of the type (as in
path/google.protobuf.Duration). The name should be in a canonical form
(e.g., leading "." is not accepted).

In practice, teams usually precompile into the binary all types that they
expect it to use in the context of Any. However, for URLs which use the
scheme http, https, or no scheme, one can optionally set up a type
server that maps type URLs to message definitions as follows:

* If no scheme is provided, https is assumed.
* An HTTP GET on the URL must yield a [google.protobuf.Type][]
  value in binary format, or produce an error.
* Applications are allowed to cache lookup results based on the
  URL, or have them precompiled into a binary to avoid any
  lookup. Therefore, binary compatibility needs to be preserved
  on changes to types. (Use versioned type names to manage
  breaking changes.)

Note: this functionality is not currently available in the official
protobuf release, and it is not used for type URLs beginning with
type.googleapis.com. As of May 2023, there are no widely used type server
implementations and no plans to implement one.

Schemes other than http, https (or the empty scheme) might be
used with implementation specific semantics.

  - `details.value` (string)
    Must be a valid serialized protocol buffer of the above specified type.


